{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list %}
{% load url from future %}
{% load admin_urls %}

{% block extrahead %}{{ block.super }}
    {% url 'admin:jsi18n' as jsi18nurl %}
    <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
    {{ media }}
    {{ form.media }}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/forms.css' %}"/>
{% endblock %}

{% block extrastyle %}{% endblock %}

{% block breadcrumbs %}{% if not is_popup %}
    <div class="breadcrumbs">
        <a href="../../../">
            {% trans "Inicio" %} &rsaquo;
        </a>
        <a href="../">
            {% trans "Asignación de Categoría UDL" %} &rsaquo;
        </a>
        {% trans "Asignar de categoría de pago masivamente" %}
    </div>
{% endif %}{% endblock %}

{% block title %} {% trans 'Asignación de Categoría UDL' %} {% endblock %}

{% block content %}

    <form action="" method="POST" enctype="multipart/form-data">{% csrf_token %}
        <h2>Asignar conceptos de pago masivamente</h2>
        <fieldset class="module aligned">
            <h2>1º Paso - Elegir el Concepto de Pago</h2>
            <div class="form-row">
                <div class="field-box">
                    {{ form.PeriodoDestino }}
                    <label class="required">Periodo Destino:</label>
                    {{ periodo |escape }}
                </div>
            </div>

            <div class="form-row">
                <div class="field-box">
                    {{ form.Condicion.errors }}
                    {{ form.Condicion.label_tag }}:
                    {{ form.Condicion }}
                </div>
            </div>

            <div class="form-row" id="id_divPeriodoDestino">
                <div class="field-box">
                    {{ form.PeriodoOrigen.errors }}
                    {{ form.PeriodoOrigen.label_tag }}:
                    {{ form.PeriodoOrigen }}
                </div>
            </div>
            <div class="form-row" id="id_divCategoria">
                <div class="field-box">
                    {{ form.Categoria.errors }}
                    {{ form.Categoria.label_tag }}:
                    {{ form.Categoria }}
                </div>
            </div>
            <div class="form-row" id="id_divArchivo">
                <div class="field-box">
                    {% if form.Archivo.errors %}
                        <ul class="errorlist">
                            {% for error in form.Archivo.errors %}
                                <li>{{ error }}</li>
                            {% endfor %}
                        </ul>
                    {% endif %}
                    {{ form.Archivo.label_tag }}:
                    {{ form.Archivo }}
                </div>
            </div>
            <div class="form-row" id="id_divActualizar">
                <div class="field-box">
                    {{ form.Actualizar.errors }}
                    {{ form.Actualizar.label_tag }}:
                    {{ form.Actualizar }}
                </div>
            </div>
        </fieldset>
        <div class="submit-row">
            <input class="default" type="submit" value="Generar"/>
        </div>
    </form>

{% endblock %}
